<?php include('partie1_admin.php');?>
<div id="coverer" align="center">


<?php
include ('connexion_mysql.php');
if (isset($_GET['supprimer_news'])) // Si l'on demande de supprimerune news.
{
// Alors on supprime la news correspondante.
// On protège la variable « id_news » pour éviter une faille SQL
$_GET['supprimer_news'] = addslashes($_GET['supprimer_news']);
$retour = 'DELETE FROM artcle WHERE id_article=\'' .
$_GET['supprimer_news'] . '\'';
$res = $conn->query($retour);
				
echo '<script type="text/javascript"> window.setTimeout("location=(\'administration_suite.php?retour=return\');");</script>';

}


elseif (isset($_POST['envoyer'])) // Si l'on demande de supprimerune news.
{
	

if (isset($_FILES['image']) AND $_FILES['image']['error']
== 0)
{
// Testons si le fichier n'est pas trop gros
if ($_FILES['image']['size'] <= 900000000)
{
// Testons si l'extension est autorisée
$infosfichier =pathinfo($_FILES['image']['name']);
$extension_upload= $infosfichier['extension'];
$extensions_autorisees = array('mp3', 'jpg', 'jpeg', 'gif','png','bmp', 'MP3', 'JPG', 'JPEG', 'GIF','PNG','BMP');

 $name = $infosfichier['filename'];
        $file = '' .time(). '' .$name. '.' .$extension_upload;
if (in_array($extension_upload,
$extensions_autorisees))
{
// On peut valider le cahier_charge et le stocker

move_uploaded_file($_FILES['image']['tmp_name'], '../uploads/' . $file);
$image = $file;

}
}
}

else

{$retour4 = 'SELECT image FROM artcle WHERE id_article=\'' .
$_POST['id_news'] . '\'';
$res = $conn->query($retour4);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.
$image = stripslashes($donnees['image']);}


if (isset($_FILES['fichier']) AND $_FILES['fichier']['error']
== 0)
{
// Testons si le fichier n'est pas trop gros
if ($_FILES['fichier']['size'] <= 4000000)
{
// Testons si l'extension est autorisée
$infosfichier =pathinfo($_FILES['fichier']['name']);
$extension_upload= $infosfichier['extension'];
$extensions_autorisees = array('doc', 'docx', 'pdf','xls');

 $name = $infosfichier['filename'];
        $file = '' .time(). '' .$name. '.' .$extension_upload;
if (in_array($extension_upload,
$extensions_autorisees))
{
// On peut valider le cahier_charge et le stocker

move_uploaded_file($_FILES['fichier']['tmp_name'], '../uploads/' . $file);
$fichier = $file;


}
}
}

else

{
$retour3 = 'SELECT document FROM artcle WHERE id_article=\'' .
$_POST['id_news'] . '\'';
$res = $conn->query($retour3);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.
$fichier = stripslashes($donnees['document']);	
}


$id_article = addslashes($_POST['id_news']);
$id_type = addslashes($_POST['id_type']);
$id_grpe = addslashes($_POST['id_grpe']);
$date = addslashes($_POST['date']);
$titre = addslashes($_POST['titre']);
$contenu= addslashes($_POST['contenu']);
$resume = addslashes($_POST['resume']);

$desc_image = addslashes($_POST['desc_image']);
$lien_utile = addslashes($_POST['lien_utile']);
$libelle_lien = addslashes($_POST['libelle_lien']);
$video = addslashes($_POST['video']);

if ($_POST['id_news'] == 0)
{


	// Ce n'est pas une modification, on crée une nouvelle entrée dans la table.
$retour = "INSERT INTO artcle (id_article,id_type,titre,image,desc_image,resume,contenu,lien_utile,libelle_lien,video,document,id_grpe,date) VALUES(NULL,
'" . $id_type . "','" . $titre . "','" . $image . "','" . $desc_image . "','" . $resume . "','" . $contenu . "','" . $lien_utile . "','" . $libelle_lien . "','" . $video . "','" . $fichier . "','" . $id_grpe . "','" . $date . "')";
$res = $conn -> query($retour);

				
				echo '<script type="text/javascript"> window.setTimeout("location=(\'administration_suite.php?retour=return\');");</script>';



}
else
{
// On protège la variable "id_news" pour éviter une faille
$_POST['id_news'] = addslashes($_POST['id_news']);
// C'est une modification, on met juste à jour le titre etle contenu.
$retour = "UPDATE artcle SET titre='" . $titre . "',image='" . $image . "',contenu='" . $contenu . "',date='" . $date . "',desc_image='" . $desc_image . "',resume='" . $resume . "',lien_utile='" . $lien_utile . "',libelle_lien ='" . $libelle_lien . "',video='" . $video . "',document='" . $fichier . "' WHERE id_article='" . $_POST['id_news'] . "'";
$res = $conn -> query($retour);
				
				echo '<script type="text/javascript"> window.setTimeout("location=(\'administration_suite.php?retour=return\');");</script>';


}



	
	
	
	
	
	
	
	



}

//--------------------------------------------------------
// Vérification 2 : est-ce qu'on veut supprimer une news ?
//--------------------------------------------------------
?>



<?php include('partie3_admin.php'); ?>